diff -ur ncurses-5.9-orig/c++/cursesapp.h ncurses-5.9/c++/cursesapp.h
--- ncurses-5.9-orig/c++/cursesapp.h	2005-05-28 17:57:44 -0400
+++ ncurses-5.9/c++/cursesapp.h	2013-07-04 18:38:36 -0400
@@ -38,7 +38,7 @@
 
 #include <cursslk.h>
 
-class NCURSES_IMPEXP NCursesApplication {
+class NCURSESXX_IMPEXP NCursesApplication {
 public:
   typedef struct _slk_link {          // This structure is used to maintain
     struct _slk_link* prev;           // a stack of SLKs
diff -ur ncurses-5.9-orig/c++/cursesf.h ncurses-5.9/c++/cursesf.h
--- ncurses-5.9-orig/c++/cursesf.h	2005-08-13 14:08:24 -0400
+++ ncurses-5.9/c++/cursesf.h	2013-07-04 18:38:36 -0400
@@ -50,11 +50,11 @@
 // The abstract base class for buitin and user defined Fieldtypes.
 // -------------------------------------------------------------------------
 //
-class NCURSES_IMPEXP NCursesFormField; // forward declaration
+class NCURSESXX_IMPEXP NCursesFormField; // forward declaration
 
 // Class to represent builtin field types as well as C++ written new
 // fieldtypes (see classes UserDefineFieldType...
-class NCURSES_IMPEXP NCursesFieldType
+class NCURSESXX_IMPEXP NCursesFieldType
 {
   friend class NCursesFormField;
 
@@ -100,7 +100,7 @@
 // The class representing a forms field, wrapping the lowlevel FIELD struct
 // -------------------------------------------------------------------------
 //
-class NCURSES_IMPEXP NCursesFormField
+class NCURSESXX_IMPEXP NCursesFormField
 {
   friend class NCursesForm;
 
@@ -337,7 +337,7 @@
 // The class representing a form, wrapping the lowlevel FORM struct
 // -------------------------------------------------------------------------
 //
-class NCURSES_IMPEXP NCursesForm : public NCursesPanel
+class NCURSESXX_IMPEXP NCursesForm : public NCursesPanel
 {
 protected:
   FORM* form;  // the lowlevel structure
@@ -628,7 +628,7 @@
 // data belongs to some class T. Use T as template argument
 // to create a UserField.
 // -------------------------------------------------------------------------
-template<class T> class NCURSES_IMPEXP NCursesUserField : public NCursesFormField
+template<class T> class NCURSESXX_IMPEXP NCursesUserField : public NCursesFormField
 {
 public:
   NCursesUserField (int rows,
@@ -661,7 +661,7 @@
 // The same mechanism is used to attach user data to a form
 // -------------------------------------------------------------------------
 //
-template<class T> class NCURSES_IMPEXP NCursesUserForm : public NCursesForm
+template<class T> class NCURSESXX_IMPEXP NCursesUserForm : public NCursesForm
 {
 protected:
   // 'Internal' constructor, builds an object without association to a
@@ -718,7 +718,7 @@
 // Builtin Fieldtypes
 // -------------------------------------------------------------------------
 //
-class NCURSES_IMPEXP Alpha_Field : public NCursesFieldType
+class NCURSESXX_IMPEXP Alpha_Field : public NCursesFieldType
 {
 private:
   int min_field_width;
@@ -734,7 +734,7 @@
   }
 };
 
-class NCURSES_IMPEXP Alphanumeric_Field : public NCursesFieldType
+class NCURSESXX_IMPEXP Alphanumeric_Field : public NCursesFieldType
 {
 private:
   int min_field_width;
@@ -750,7 +750,7 @@
   }
 };
 
-class NCURSES_IMPEXP Integer_Field : public NCursesFieldType
+class NCURSESXX_IMPEXP Integer_Field : public NCursesFieldType
 {
 private:
   int precision;
@@ -768,7 +768,7 @@
   }
 };
 
-class NCURSES_IMPEXP Numeric_Field : public NCursesFieldType
+class NCURSESXX_IMPEXP Numeric_Field : public NCursesFieldType
 {
 private:
   int precision;
@@ -786,7 +786,7 @@
   }
 };
 
-class NCURSES_IMPEXP Regular_Expression_Field : public NCursesFieldType
+class NCURSESXX_IMPEXP Regular_Expression_Field : public NCursesFieldType
 {
 private:
   char* regex;
@@ -831,7 +831,7 @@
   }
 };
 
-class NCURSES_IMPEXP Enumeration_Field : public NCursesFieldType
+class NCURSESXX_IMPEXP Enumeration_Field : public NCursesFieldType
 {
 private:
   const char** list;
@@ -870,7 +870,7 @@
   }
 };
 
-class NCURSES_IMPEXP IPV4_Address_Field : public NCursesFieldType
+class NCURSESXX_IMPEXP IPV4_Address_Field : public NCursesFieldType
 {
 private:
   void set(NCursesFormField& f) {
@@ -893,7 +893,7 @@
 // Abstract base class for User-Defined Fieldtypes
 // -------------------------------------------------------------------------
 //
-class NCURSES_IMPEXP UserDefinedFieldType : public NCursesFieldType
+class NCURSESXX_IMPEXP UserDefinedFieldType : public NCursesFieldType
 {
   friend class UDF_Init; // Internal helper to set up statics
 private:
@@ -936,7 +936,7 @@
 // Abstract base class for User-Defined Fieldtypes with Choice functions
 // -------------------------------------------------------------------------
 //
-class NCURSES_IMPEXP UserDefinedFieldType_With_Choice : public UserDefinedFieldType
+class NCURSESXX_IMPEXP UserDefinedFieldType_With_Choice : public UserDefinedFieldType
 {
   friend class UDF_Init; // Internal helper to set up statics
 private:
diff -ur ncurses-5.9-orig/c++/cursesm.h ncurses-5.9/c++/cursesm.h
--- ncurses-5.9-orig/c++/cursesm.h	2005-08-13 14:10:36 -0400
+++ ncurses-5.9/c++/cursesm.h	2013-07-04 18:38:36 -0400
@@ -46,7 +46,7 @@
 // This wraps the ITEM type of <menu.h>
 // -------------------------------------------------------------------------
 //
-class NCURSES_IMPEXP NCursesMenuItem
+class NCURSESXX_IMPEXP NCursesMenuItem
 {
   friend class NCursesMenu;
 
@@ -151,7 +151,7 @@
 // If you don't like to create a child class for individual items to
 // overload action(), you may use this class and provide a callback
 // function pointer for items.
-class NCURSES_IMPEXP NCursesMenuCallbackItem : public NCursesMenuItem
+class NCURSESXX_IMPEXP NCursesMenuCallbackItem : public NCursesMenuItem
 {
 private:
   ITEMCALLBACK* p_fct;
@@ -198,7 +198,7 @@
 // This wraps the MENU type of <menu.h>
 // -------------------------------------------------------------------------
 //
-class NCURSES_IMPEXP NCursesMenu : public NCursesPanel
+class NCURSESXX_IMPEXP NCursesMenu : public NCursesPanel
 {
 protected:
   MENU *menu;
@@ -594,7 +594,7 @@
 // to create a UserItem.
 // -------------------------------------------------------------------------
 //
-template<class T> class NCURSES_IMPEXP NCursesUserItem : public NCursesMenuItem
+template<class T> class NCursesUserItem : public NCursesMenuItem
 {
 public:
   NCursesUserItem (const char* p_name,
@@ -621,7 +621,7 @@
 // The same mechanism is used to attach user data to a menu
 // -------------------------------------------------------------------------
 //
-template<class T> class NCURSES_IMPEXP NCursesUserMenu : public NCursesMenu
+template<class T> class NCursesUserMenu : public NCursesMenu
 {
 protected:
   NCursesUserMenu( int  nlines,
diff -ur ncurses-5.9-orig/c++/cursesp.h ncurses-5.9/c++/cursesp.h
--- ncurses-5.9-orig/c++/cursesp.h	2008-08-16 13:20:23 -0400
+++ ncurses-5.9/c++/cursesp.h	2013-07-04 18:38:36 -0400
@@ -42,7 +42,7 @@
 #  include <panel.h>
 }
 
-class NCURSES_IMPEXP NCursesPanel
+class NCURSESXX_IMPEXP NCursesPanel
   : public NCursesWindow
 {
 protected:
diff -ur ncurses-5.9-orig/c++/cursesw.h ncurses-5.9/c++/cursesw.h
--- ncurses-5.9-orig/c++/cursesw.h	2008-01-19 16:09:10 -0500
+++ ncurses-5.9/c++/cursesw.h	2013-07-04 18:38:36 -0400
@@ -750,7 +750,7 @@
 extern "C" int     _nc_xx_ripoff_init(WINDOW *, int);
 extern "C" int     _nc_has_mouse(void);
 
-class NCURSES_IMPEXP NCursesWindow
+class NCURSESXX_IMPEXP NCursesWindow
 {
   friend class NCursesMenu;
   friend class NCursesForm;
@@ -1364,7 +1364,7 @@
 // -------------------------------------------------------------------------
 // We leave this here for compatibility reasons.
 // -------------------------------------------------------------------------
-class NCURSES_IMPEXP NCursesColorWindow : public NCursesWindow
+class NCURSESXX_IMPEXP NCursesColorWindow : public NCursesWindow
 {
 public:
   NCursesColorWindow(WINDOW* &window)   // useful only for stdscr
@@ -1410,7 +1410,7 @@
 // Pad Support. We allow an association of a pad with a "real" window
 // through which the pad may be viewed.
 // -------------------------------------------------------------------------
-class NCURSES_IMPEXP NCursesPad : public NCursesWindow
+class NCURSESXX_IMPEXP NCursesPad : public NCursesWindow
 {
 private:
   NCursesWindow* viewWin;       // the "viewport" window
@@ -1523,7 +1523,7 @@
 // A FramedPad is constructed always with a viewport window. This viewport
 // will be framed (by a box() command) and the interior of the box is the
 // viewport subwindow. On the frame we display scrollbar sliders.
-class NCURSES_IMPEXP NCursesFramedPad : public NCursesPad
+class NCURSESXX_IMPEXP NCursesFramedPad : public NCursesPad
 {
 protected:
   virtual void OnOperation(int pad_req);
diff -ur ncurses-5.9-orig/c++/cursslk.h ncurses-5.9/c++/cursslk.h
--- ncurses-5.9-orig/c++/cursslk.h	2005-05-28 17:58:18 -0400
+++ ncurses-5.9/c++/cursslk.h	2013-07-04 18:38:36 -0400
@@ -38,10 +38,10 @@
 
 #include <cursesw.h>
 
-class NCURSES_IMPEXP Soft_Label_Key_Set {
+class NCURSESXX_IMPEXP Soft_Label_Key_Set {
 public:
   // This inner class represents the attributes of a Soft Label Key (SLK)
-  class NCURSES_IMPEXP Soft_Label_Key {
+  class NCURSESXX_IMPEXP Soft_Label_Key {
     friend class Soft_Label_Key_Set;
   public:
     typedef enum { Left=0, Center=1, Right=2 } Justification;
@@ -100,10 +100,10 @@
   } Label_Layout;
 
 private:
-  static long NCURSES_IMPEXP count;               // Number of Key Sets
-  static Label_Layout NCURSES_IMPEXP  format;     // Layout of the Key Sets
-  static int  NCURSES_IMPEXP num_labels;          // Number Of Labels in Key Sets
-  bool NCURSES_IMPEXP b_attrInit;                 // Are attributes initialized
+  static long count;               // Number of Key Sets
+  static Label_Layout format;     // Layout of the Key Sets
+  static int num_labels;          // Number Of Labels in Key Sets
+  bool b_attrInit;                 // Are attributes initialized
 
   Soft_Label_Key *slk_array;       // The array of SLK's
 
@@ -143,7 +143,7 @@
 
   // This constructor assumes, that you already constructed a Key Set
   // with a layout by the constructor above. This layout will be reused.
-  NCURSES_IMPEXP Soft_Label_Key_Set();
+  Soft_Label_Key_Set();
 
   Soft_Label_Key_Set& operator=(const Soft_Label_Key_Set& rhs)
   {
@@ -164,7 +164,7 @@
   virtual ~Soft_Label_Key_Set();
 
   // Get Label# i. Label counting starts with 1!
-  NCURSES_IMPEXP Soft_Label_Key& operator[](int i);
+  Soft_Label_Key& operator[](int i);
 
   // Retrieve number of Labels
   inline int labels() const { return num_labels; }
diff -ur ncurses-5.9-orig/c++/demo.cc ncurses-5.9/c++/demo.cc
--- ncurses-5.9-orig/c++/demo.cc	2008-12-06 21:07:34 -0500
+++ ncurses-5.9/c++/demo.cc	2013-07-04 18:38:36 -0400
@@ -43,11 +43,11 @@
 #include "cursesm.h"
 #include "cursesf.h"
 
-#ifdef __MINGW32__
+#if defined(__MINGW32__) || defined(_MSC_VER)
 #undef KEY_EVENT
 #endif
 
-#ifndef __MINGW32__
+#if !defined(__MINGW32__) && !defined(_MSC_VER)
 extern "C" unsigned int sleep(unsigned int);
 #endif
 
@@ -186,7 +186,7 @@
 };
 
 template class MyAction<UserData>;
-template class NCURSES_IMPEXP NCursesUserItem<UserData>;
+template class NCursesUserItem<UserData>;
 
 class QuitItem : public NCursesMenuItem
 {
diff -ur ncurses-5.9-orig/c++/etip.h.in ncurses-5.9/c++/etip.h.in
--- ncurses-5.9-orig/c++/etip.h.in	2008-08-30 15:27:32 -0400
+++ ncurses-5.9/c++/etip.h.in	2013-07-04 18:38:36 -0400
@@ -139,11 +139,11 @@
 #endif
 
 // Forward Declarations
-class NCURSES_IMPEXP NCursesPanel;
-class NCURSES_IMPEXP NCursesMenu;
-class NCURSES_IMPEXP NCursesForm;
+class NCURSESXX_IMPEXP NCursesPanel;
+class NCURSESXX_IMPEXP NCursesMenu;
+class NCURSESXX_IMPEXP NCursesForm;
 
-class NCURSES_IMPEXP NCursesException
+class NCURSESXX_IMPEXP NCursesException
 {
 public:
   const char *message;
@@ -177,7 +177,7 @@
   }
 };
 
-class NCURSES_IMPEXP NCursesPanelException : public NCursesException
+class NCURSESXX_IMPEXP NCursesPanelException : public NCursesException
 {
 public:
   const NCursesPanel* p;
@@ -228,7 +228,7 @@
   }
 };
 
-class NCURSES_IMPEXP NCursesMenuException : public NCursesException
+class NCURSESXX_IMPEXP NCursesMenuException : public NCursesException
 {
 public:
   const NCursesMenu* m;
@@ -279,7 +279,7 @@
   }
 };
 
-class NCURSES_IMPEXP NCursesFormException : public NCursesException
+class NCURSESXX_IMPEXP NCursesFormException : public NCursesException
 {
 public:
   const NCursesForm* f;
@@ -340,7 +340,9 @@
 #  else
 #     include <iostream.h>
 #  endif
-   extern "C" void exit(int);
+#  ifndef _MSC_VER
+     extern "C" void exit(int);
+#  endif
 #endif
 
 inline void THROW(const NCursesException *e) {
diff -ur ncurses-5.9-orig/c++/internal.h ncurses-5.9/c++/internal.h
--- ncurses-5.9-orig/c++/internal.h	2008-12-06 21:07:34 -0500
+++ ncurses-5.9/c++/internal.h	2013-07-04 18:38:36 -0400
@@ -44,7 +44,7 @@
 #define MODULE_ID(id) /*nothing*/
 #endif
 
-#ifdef __MINGW32__
+#if defined(__MINGW32__) || defined(_MSC_VER)
 #include <nc_mingw.h>
 #undef KEY_EVENT
 #endif
diff -ur ncurses-5.9-orig/form/f_trace.c ncurses-5.9/form/f_trace.c
--- ncurses-5.9-orig/form/f_trace.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/f_trace.c	2013-07-04 18:38:36 -0400
@@ -34,35 +34,35 @@
 
 MODULE_ID("$Id: f_trace.c,v 1.2 2010/01/23 21:14:36 tom Exp $")
 
-NCURSES_EXPORT(FIELD **)
+NCFORM_EXPORT(FIELD **)
 _nc_retrace_field_ptr(FIELD **code)
 {
   T((T_RETURN("%p"), (void *)code));
   return code;
 }
 
-NCURSES_EXPORT(FIELD *)
+NCFORM_EXPORT(FIELD *)
 _nc_retrace_field(FIELD *code)
 {
   T((T_RETURN("%p"), (void *)code));
   return code;
 }
 
-NCURSES_EXPORT(FIELDTYPE *)
+NCFORM_EXPORT(FIELDTYPE *)
 _nc_retrace_field_type(FIELDTYPE *code)
 {
   T((T_RETURN("%p"), (void *)code));
   return code;
 }
 
-NCURSES_EXPORT(FORM *)
+NCFORM_EXPORT(FORM *)
 _nc_retrace_form(FORM *code)
 {
   T((T_RETURN("%p"), (void *)code));
   return code;
 }
 
-NCURSES_EXPORT(Form_Hook)
+NCFORM_EXPORT(Form_Hook)
 _nc_retrace_form_hook(Form_Hook code)
 {
   T((T_RETURN("%p"), code));
diff -ur ncurses-5.9-orig/form/fld_arg.c ncurses-5.9/form/fld_arg.c
--- ncurses-5.9-orig/form/fld_arg.c	2010-01-23 16:14:35 -0500
+++ ncurses-5.9/form/fld_arg.c	2013-07-04 18:38:36 -0400
@@ -60,7 +60,7 @@
 |   Return Values :  E_OK           - success
 |                    E_BAD_ARGUMENT - invalid argument
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_fieldtype_arg(FIELDTYPE *typ,
 		  void *(*const make_arg)(va_list *),
 		  void *(*const copy_arg)(const void *),
@@ -88,7 +88,7 @@
 |
 |   Return Values :  Pointer to structure or NULL if none is defined.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(void *)
+NCFORM_EXPORT(void *)
 field_arg(const FIELD *field)
 {
   T((T_CALLED("field_arg(%p)"), (const void *)field));
diff -ur ncurses-5.9-orig/form/fld_attr.c ncurses-5.9/form/fld_attr.c
--- ncurses-5.9-orig/form/fld_attr.c	2010-01-23 16:12:08 -0500
+++ ncurses-5.9/form/fld_attr.c	2013-07-04 18:38:37 -0400
@@ -39,7 +39,7 @@
   --------------------------------------------------------------------------*/
 /* "Template" macro to generate a function to set a fields attribute */
 #define GEN_FIELD_ATTR_SET_FCT( name ) \
-NCURSES_IMPEXP int NCURSES_API set_field_ ## name (FIELD * field, chtype attr)\
+NCFORM_IMPEXP int NCFORM_API set_field_ ## name (FIELD * field, chtype attr)\
 {\
    int res = E_BAD_ARGUMENT;\
    T((T_CALLED("set_field_" #name "(%p,%s)"), field, _traceattr(attr)));\
@@ -64,7 +64,7 @@
 
 /* "Template" macro to generate a function to get a fields attribute */
 #define GEN_FIELD_ATTR_GET_FCT( name ) \
-NCURSES_IMPEXP chtype NCURSES_API field_ ## name (const FIELD * field)\
+NCFORM_IMPEXP chtype NCFORM_API field_ ## name (const FIELD * field)\
 {\
    T((T_CALLED("field_" #name "(%p)"), (const void *) field));\
    returnAttr( A_ATTRIBUTES & (Normalize_Field( field ) -> name) );\
diff -ur ncurses-5.9-orig/form/fld_current.c ncurses-5.9/form/fld_current.c
--- ncurses-5.9-orig/form/fld_current.c	2010-01-23 16:14:35 -0500
+++ ncurses-5.9/form/fld_current.c	2013-07-04 18:38:37 -0400
@@ -47,7 +47,7 @@
 |                    E_INVALID_FIELD   - current field can't be left
 |                    E_SYSTEM_ERROR    - system error
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_current_field(FORM *form, FIELD *field)
 {
   int err = E_OK;
@@ -110,7 +110,7 @@
 |
 |   Return Values :  Pointer to the current field.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(FIELD *)
+NCFORM_EXPORT(FIELD *)
 current_field(const FORM *form)
 {
   T((T_CALLED("current_field(%p)"), (const void *)form));
@@ -127,7 +127,7 @@
 |   Return Values :  >= 0   : field index
 |                    -1     : fieldpointer invalid or field not connected
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 field_index(const FIELD *field)
 {
   T((T_CALLED("field_index(%p)"), (const void *)field));
diff -ur ncurses-5.9-orig/form/fld_def.c ncurses-5.9/form/fld_def.c
--- ncurses-5.9-orig/form/fld_def.c	2010-01-23 16:14:35 -0500
+++ ncurses-5.9/form/fld_def.c	2013-07-04 18:38:37 -0400
@@ -65,7 +65,7 @@
   NCURSES_FIELD_EXTENSION
 };
 
-NCURSES_EXPORT_VAR(FIELD *)
+NCFORM_EXPORT_VAR(FIELD *)
 _nc_Default_Field = &default_field;
 
 /*---------------------------------------------------------------------------
@@ -82,7 +82,7 @@
 |   Return Values :  Pointer to argument structure. Maybe NULL.
 |                    In case of an error in *err an error counter is increased.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(TypeArgument *)
+NCFORM_EXPORT(TypeArgument *)
 _nc_Make_Argument(const FIELDTYPE *typ, va_list *ap, int *err)
 {
   TypeArgument *res = (TypeArgument *)0;
@@ -130,7 +130,7 @@
 |   Return Values :  Pointer to argument structure. Maybe NULL.
 |                    In case of an error in *err an error counter is increased.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(TypeArgument *)
+NCFORM_EXPORT(TypeArgument *)
 _nc_Copy_Argument(const FIELDTYPE *typ, const TypeArgument *argp, int *err)
 {
   TypeArgument *res = (TypeArgument *)0;
@@ -179,7 +179,7 @@
 |
 |   Return Values :  -
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(void)
+NCFORM_EXPORT(void)
 _nc_Free_Argument(const FIELDTYPE *typ, TypeArgument *argp)
 {
   if (typ != 0 && (typ->status & _HAS_ARGS) != 0)
@@ -210,7 +210,7 @@
 |   Return Values :  TRUE       - copy worked
 |                    FALSE      - error occurred
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(bool)
+NCFORM_EXPORT(bool)
 _nc_Copy_Type(FIELD *dst, FIELD const *src)
 {
   int err = 0;
@@ -245,7 +245,7 @@
 |
 |   Return Values :  -
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(void)
+NCFORM_EXPORT(void)
 _nc_Free_Type(FIELD *field)
 {
   assert(field != 0);
@@ -272,7 +272,7 @@
 |
 |   Return Values :  Pointer to the new field or NULL if failure.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(FIELD *)
+NCFORM_EXPORT(FIELD *)
 new_field(int rows, int cols, int frow, int fcol, int nrow, int nbuf)
 {
   static const FIELD_CELL blank = BLANK;
@@ -352,7 +352,7 @@
 |                    E_BAD_ARGUMENT - invalid field pointer
 |                    E_CONNECTED    - field is connected
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 free_field(FIELD *field)
 {
   T((T_CALLED("free_field(%p)"), (void *)field));
diff -ur ncurses-5.9-orig/form/fld_dup.c ncurses-5.9/form/fld_dup.c
--- ncurses-5.9-orig/form/fld_dup.c	2010-01-23 16:14:35 -0500
+++ ncurses-5.9/form/fld_dup.c	2013-07-04 18:38:37 -0400
@@ -47,7 +47,7 @@
 |
 |   Return Values :  Pointer to the new field or NULL if failure
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(FIELD *)
+NCFORM_EXPORT(FIELD *)
 dup_field(FIELD *field, int frow, int fcol)
 {
   FIELD *New_Field = (FIELD *)0;
diff -ur ncurses-5.9-orig/form/fld_ftchoice.c ncurses-5.9/form/fld_ftchoice.c
--- ncurses-5.9-orig/form/fld_ftchoice.c	2010-01-23 16:14:35 -0500
+++ ncurses-5.9/form/fld_ftchoice.c	2013-07-04 18:38:37 -0400
@@ -46,7 +46,7 @@
 |   Return Values :  E_OK           - success
 |                    E_BAD_ARGUMENT - invalid arguments
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_fieldtype_choice(FIELDTYPE *typ,
 		     bool (*const next_choice) (FIELD *, const void *),
 		     bool (*const prev_choice) (FIELD *, const void *))
diff -ur ncurses-5.9-orig/form/fld_ftlink.c ncurses-5.9/form/fld_ftlink.c
--- ncurses-5.9-orig/form/fld_ftlink.c	2010-01-23 16:14:35 -0500
+++ ncurses-5.9/form/fld_ftlink.c	2013-07-04 18:38:37 -0400
@@ -48,7 +48,7 @@
 |
 |   Return Values :  Fieldtype pointer or NULL if error occurred.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(FIELDTYPE *)
+NCFORM_EXPORT(FIELDTYPE *)
 link_fieldtype(FIELDTYPE *type1, FIELDTYPE *type2)
 {
   FIELDTYPE *nftyp = (FIELDTYPE *)0;
diff -ur ncurses-5.9-orig/form/fld_info.c ncurses-5.9/form/fld_info.c
--- ncurses-5.9-orig/form/fld_info.c	2010-01-23 16:14:35 -0500
+++ ncurses-5.9/form/fld_info.c	2013-07-04 18:38:37 -0400
@@ -46,7 +46,7 @@
 |   Return Values :  E_OK           - success
 |                    E_BAD_ARGUMENT - invalid field pointer
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 field_info(const FIELD *field,
 	   int *rows, int *cols,
 	   int *frow, int *fcol,
@@ -88,7 +88,7 @@
 |   Return Values :  E_OK           - success
 |                    E_BAD_ARGUMENT - invalid argument
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 dynamic_field_info(const FIELD *field, int *drows, int *dcols, int *maxgrow)
 {
   T((T_CALLED("dynamic_field_info(%p,%p,%p,%p)"),
diff -ur ncurses-5.9-orig/form/fld_just.c ncurses-5.9/form/fld_just.c
--- ncurses-5.9-orig/form/fld_just.c	2010-01-23 16:14:35 -0500
+++ ncurses-5.9/form/fld_just.c	2013-07-04 18:38:37 -0400
@@ -44,7 +44,7 @@
 |                    E_BAD_ARGUMENT  - one of the arguments was incorrect
 |                    E_SYSTEM_ERROR  - system error
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_field_just(FIELD *field, int just)
 {
   int res = E_BAD_ARGUMENT;
@@ -76,7 +76,7 @@
 |
 |   Return Values :  The justification type.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 field_just(const FIELD *field)
 {
   T((T_CALLED("field_just(%p)"), (const void *)field));
diff -ur ncurses-5.9-orig/form/fld_link.c ncurses-5.9/form/fld_link.c
--- ncurses-5.9-orig/form/fld_link.c	2010-01-23 16:14:35 -0500
+++ ncurses-5.9/form/fld_link.c	2013-07-04 18:38:37 -0400
@@ -48,7 +48,7 @@
 |
 |   Return Values :  Pointer to the new field or NULL if failure
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(FIELD *)
+NCFORM_EXPORT(FIELD *)
 link_field(FIELD *field, int frow, int fcol)
 {
   FIELD *New_Field = (FIELD *)0;
diff -ur ncurses-5.9-orig/form/fld_max.c ncurses-5.9/form/fld_max.c
--- ncurses-5.9-orig/form/fld_max.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/fld_max.c	2013-07-04 18:38:37 -0400
@@ -44,7 +44,7 @@
 |   Return Values :  E_OK           - success
 |                    E_BAD_ARGUMENT - invalid argument
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_max_field(FIELD *field, int maxgrow)
 {
   T((T_CALLED("set_max_field(%p,%d)"), (void *)field, maxgrow));
diff -ur ncurses-5.9-orig/form/fld_move.c ncurses-5.9/form/fld_move.c
--- ncurses-5.9-orig/form/fld_move.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/fld_move.c	2013-07-04 18:38:37 -0400
@@ -45,7 +45,7 @@
 |                    E_BAD_ARGUMENT  - invalid argument passed
 |                    E_CONNECTED     - field is connected
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 move_field(FIELD *field, int frow, int fcol)
 {
   T((T_CALLED("move_field(%p,%d,%d)"), (void *)field, frow, fcol));
diff -ur ncurses-5.9-orig/form/fld_newftyp.c ncurses-5.9/form/fld_newftyp.c
--- ncurses-5.9-orig/form/fld_newftyp.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/fld_newftyp.c	2013-07-04 18:38:37 -0400
@@ -52,7 +52,7 @@
 #endif
 };
 
-NCURSES_EXPORT_VAR(FIELDTYPE *)
+NCFORM_EXPORT_VAR(FIELDTYPE *)
 _nc_Default_FieldType = &default_fieldtype;
 
 /*---------------------------------------------------------------------------
@@ -70,7 +70,7 @@
 |
 |   Return Values :  Fieldtype pointer or NULL if error occurred
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(FIELDTYPE *)
+NCFORM_EXPORT(FIELDTYPE *)
 new_fieldtype(bool (*const field_check) (FIELD *, const void *),
 	      bool (*const char_check) (int, const void *))
 {
@@ -115,7 +115,7 @@
 |                    E_CONNECTED     - there are fields referencing the type
 |                    E_BAD_ARGUMENT  - invalid fieldtype pointer
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 free_fieldtype(FIELDTYPE *typ)
 {
   T((T_CALLED("free_fieldtype(%p)"), (void *)typ));
diff -ur ncurses-5.9-orig/form/fld_opts.c ncurses-5.9/form/fld_opts.c
--- ncurses-5.9-orig/form/fld_opts.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/fld_opts.c	2013-07-04 18:38:37 -0400
@@ -50,7 +50,7 @@
 |                    E_BAD_ARGUMENT  - invalid options
 |                    E_SYSTEM_ERROR  - system error
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_field_opts(FIELD *field, Field_Options opts)
 {
   int res = E_BAD_ARGUMENT;
@@ -71,7 +71,7 @@
 |
 |   Return Values :  The options.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(Field_Options)
+NCFORM_EXPORT(Field_Options)
 field_opts(const FIELD *field)
 {
   T((T_CALLED("field_opts(%p)"), (const void *)field));
@@ -91,7 +91,7 @@
 |                    E_BAD_ARGUMENT  - invalid options
 |                    E_SYSTEM_ERROR  - system error
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 field_opts_on(FIELD *field, Field_Options opts)
 {
   int res = E_BAD_ARGUMENT;
@@ -119,7 +119,7 @@
 |                    E_BAD_ARGUMENT  - invalid options
 |                    E_SYSTEM_ERROR  - system error
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 field_opts_off(FIELD *field, Field_Options opts)
 {
   int res = E_BAD_ARGUMENT;
diff -ur ncurses-5.9-orig/form/fld_pad.c ncurses-5.9/form/fld_pad.c
--- ncurses-5.9-orig/form/fld_pad.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/fld_pad.c	2013-07-04 18:38:37 -0400
@@ -45,7 +45,7 @@
 |                    E_BAD_ARGUMENT - invalid field pointer or pad character
 |                    E_SYSTEM_ERROR - system error
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_field_pad(FIELD *field, int ch)
 {
   int res = E_BAD_ARGUMENT;
@@ -74,7 +74,7 @@
 |
 |   Return Values :  The pad character.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 field_pad(const FIELD *field)
 {
   T((T_CALLED("field_pad(%p)"), (const void *)field));
diff -ur ncurses-5.9-orig/form/fld_page.c ncurses-5.9/form/fld_page.c
--- ncurses-5.9-orig/form/fld_page.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/fld_page.c	2013-07-04 18:38:37 -0400
@@ -44,7 +44,7 @@
 |   Return Values :  E_OK         - success
 |                    E_CONNECTED  - field is connected
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_new_page(FIELD *field, bool new_page_flag)
 {
   T((T_CALLED("set_new_page(%p,%d)"), (void *)field, new_page_flag));
@@ -71,7 +71,7 @@
 |   Return Values :  TRUE  - field starts a new page
 |                    FALSE - field doesn't start a new page
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(bool)
+NCFORM_EXPORT(bool)
 new_page(const FIELD *field)
 {
   T((T_CALLED("new_page(%p)"), (const void *)field));
diff -ur ncurses-5.9-orig/form/fld_stat.c ncurses-5.9/form/fld_stat.c
--- ncurses-5.9-orig/form/fld_stat.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/fld_stat.c	2013-07-04 18:38:37 -0400
@@ -43,7 +43,7 @@
 |
 |   Return Values :  E_OK            - success
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_field_status(FIELD *field, bool status)
 {
   T((T_CALLED("set_field_status(%p,%d)"), (void *)field, status));
@@ -68,7 +68,7 @@
 |   Return Values :  TRUE  - buffer has been changed
 |                    FALSE - buffer has not been changed
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(bool)
+NCFORM_EXPORT(bool)
 field_status(const FIELD *field)
 {
   T((T_CALLED("field_status(%p)"), (const void *)field));
diff -ur ncurses-5.9-orig/form/fld_type.c ncurses-5.9/form/fld_type.c
--- ncurses-5.9-orig/form/fld_type.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/fld_type.c	2013-07-04 18:38:37 -0400
@@ -45,7 +45,7 @@
 |   Return Values :  E_OK           - success
 |                    E_SYSTEM_ERROR - system error
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_field_type(FIELD *field, FIELDTYPE *type,...)
 {
   va_list ap;
@@ -87,7 +87,7 @@
 |
 |   Return Values :  Pointer to fieldtype of NULL if none is defined.
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(FIELDTYPE *)
+NCFORM_EXPORT(FIELDTYPE *)
 field_type(const FIELD *field)
 {
   T((T_CALLED("field_type(%p)"), (const void *)field));
diff -ur ncurses-5.9-orig/form/fld_user.c ncurses-5.9/form/fld_user.c
--- ncurses-5.9-orig/form/fld_user.c	2010-01-23 16:14:36 -0500
+++ ncurses-5.9/form/fld_user.c	2013-07-04 18:38:37 -0400
@@ -43,7 +43,7 @@
 |
 |   Return Values :  E_OK         - on success
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(int)
+NCFORM_EXPORT(int)
 set_field_userptr(FIELD *field, void *usrptr)
 {
   T((T_CALLED("set_field_userptr(%p,%p)"), (void *)field, (void *)usrptr));
@@ -62,7 +62,7 @@
 |   Return Values :  Value of pointer. If no such pointer has been set,
 |                    NULL is returned
 +--------------------------------------------------------------------------*/
-NCURSES_EXPORT(void *)
+NCFORM_EXPORT(void *)
 field_userptr(const FIELD *field)
 {
   T((T_CALLED("field_userptr(%p)"), (const void *)field));
